<?php
// Author: Joshua Uziel
// Copyright 2001, Sun Microsystems, Inc.  All rights reserved.
// $Id: bandwidthMod.php,v 1.7 2001/09/28 08:02:00 uzi Exp $

include("ServerScriptHelper.php");
include("Product.php");

$oid = $_TARGET;

$serverScriptHelper = new ServerScriptHelper();
$cce = $serverScriptHelper->getCceClient();
$product = new Product($cce);
$factory = $serverScriptHelper->getHtmlComponentFactory("base-bandwidth", "/base/bandwidth/bandwidthHandler.php");
$i18n = $serverScriptHelper->getI18n("base-bandwidth");

$block = $factory->getPagedBlock("bandwidthSettings");
$page = $factory->getPage();

$temp = $cce->get($oid);

$block->addFormField(
	$factory->getIpAddress("ipAddressField", $temp["ipaddr"], "r"),
	$factory->getLabel("ipAddressField")
);

$bwval = ($temp["bwlimit"] >= 0) ? $temp["bwlimit"] : "";

$block->addFormField(
	$factory->getInteger("bwLimitField", $bwval),
	$factory->getLabel("bwLimitField")
);

$errors = $serverScriptHelper->getErrors();
$block->processErrors($errors);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/bandwidth/bandwidthList.php"));

print($page->toHeaderHtml());
print($block->toHtml());
print($page->toFooterHtml());

$serverScriptHelper->destructor();
?>
