<?php
// Author: Joshua Uziel
// Copyright 2001, Sun Microsystems, Inc.  All rights reserved.
// $Id: bandwidthHandler.php,v 1.5 2001/09/28 08:02:00 uzi Exp $

include("ServerScriptHelper.php");
include("Product.php");

$helper = new ServerScriptHelper();
$cce = $helper->getCceClient();

$oids = $cce->find("Bandwidth", array("ipaddr" => $ipAddressField));

// Set the limit
if (sizeof($oids)) {
	$cce->set($oids[0], "", array("bwlimit" => $bwLimitField));
	$errors = $cce->errors();
} else {
	$cce->create("Bandwidth", array(
					"ipaddr" => $ipAddressField,
					"bwlimit" => $bwLimitField
					)
	);
	$errors = $cce->errors();
}

if ($errors) {
	print $helper->toHandlerHtml("/base/bandwidth/bandwidthMod.php?_TARGET=$oid", $errors);
} else {
	print $helper->toHandlerHtml("/base/bandwidth/bandwidthList.php", $errors, false);
}

$helper->destructor();
?>


